%define upstream_name	 Finance-Bank-LaPoste
%define upstream_version 9.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check your "La Poste" accounts from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PI/PIXEL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Graphics::Magick)
BuildRequires: perl(HTML::Form)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

Requires:   perl(Crypt::SSLeay)
%description
This module provides a read-only interface to the Videoposte online
banking system at <https://www.videoposte.com/>.

The interface of this module is similar to other Finance::Bank modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files 
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Finance/Bank/*
%{_mandir}/*/*

%changelog
* Sat Jun 13 2020 tv <tv> 9.30.0-1.mga8
+ Revision: 1593147
- update to 9.03

* Sun Feb 16 2020 umeabot <umeabot> 9.20.0-2.mga8
+ Revision: 1531644
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Sep 14 2019 tv <tv> 9.20.0-1.mga8
+ Revision: 1440697
- update to 9.02

* Fri Mar 15 2019 tv <tv> 9.10.0-1.mga7
+ Revision: 1377497
- update to 9.01

* Fri Nov 09 2018 tv <tv> 9.0.0-1.mga7
+ Revision: 1329037
- update to 9.00

* Thu Sep 20 2018 umeabot <umeabot> 8.20.0-2.mga7
+ Revision: 1283910
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 shlomif <shlomif> 8.20.0-1.mga7
+ Revision: 1241599
- update to 8.02

* Sun Jul 30 2017 sander85 <sander85> 8.10.0-1.mga7
+ Revision: 1132687
- update to 8.01

* Sun Jun 19 2016 pterjan <pterjan> 7.90.0-5.mga6
+ Revision: 1027629
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 7.90.0-4.mga6
+ Revision: 941416
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.90.0-3.mga5
+ Revision: 741204
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.90.0-2.mga5
+ Revision: 684796
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 7.90.0-1.mga5
+ Revision: 664846
- update to 7.09

* Fri Oct 18 2013 umeabot <umeabot> 7.60.0-3.mga4
+ Revision: 511710
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 7.60.0-2.mga3
+ Revision: 367503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 01 2011 jquelin <jquelin> 7.60.0-1.mga2
+ Revision: 137548
- update to 7.06

* Tue Apr 12 2011 jquelin <jquelin> 7.50.0-1.mga1
+ Revision: 83761
- update to 7.05

* Fri Mar 18 2011 jquelin <jquelin> 7.40.0-1.mga1
+ Revision: 74116
- update to 7.04

* Thu Jan 20 2011 jquelin <jquelin> 7.30.0-1.mga1
+ Revision: 26233
- mageia rebuild
- imported package perl-Finance-Bank-LaPoste

